Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class UserOptionsNode

Object
org.eclipse.jface.preference.PreferenceNode
hdf.view.dialog.UserOptionsNode

All Implemented Interfaces:
  `org.eclipse.jface.preference.IPreferenceNode`

public class UserOptionsNode extends org.eclipse.jface.preference.PreferenceNode
UserOptionsDialog displays components for choosing user options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserOptionsNode​(String id)`
  Creates an `UserOptionsNode` with the given id.
  `UserOptionsNode​(String id, String label, org.eclipse.jface.resource.ImageDescriptor image, String className)`
  Creates an `UserOptionsNode` with the given id, label, and image, and lazily-loaded preference page.
  `UserOptionsNode​(String id, org.eclipse.jface.preference.IPreferencePage preferencePage)`
  Creates an `UserOptionsNode` with the given id and preference page.

- ## Method Summary

  ### Methods inherited from class org.eclipse.jface.preference.PreferenceNode

  `add, createPage, disposeResources, findSubNode, getId, getImageDescriptor, getLabelImage, getLabelText, getPage, getSubNodes, remove, remove, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserOptionsNode

    public UserOptionsNode​(String id)
    Creates an `UserOptionsNode` with the given id. The new node has nosubnodes.
    Parameters:
      `id` - the node id

  - ### UserOptionsNode

    public UserOptionsNode​(String id, String label, org.eclipse.jface.resource.ImageDescriptor image, String className)
    Creates an `UserOptionsNode` with the given id, label, and image, and lazily-loaded preference page. The preference node assumes (sole) responsibility for disposing of the image; this will happen when the node is disposed.
    Parameters:
      `id` - the node id
      `label` - the label used to display the node in the preference dialog's tree
      `image` - the image displayed left of the label in the preference dialog's tree, or `null` if none
      `className` - the class name of the preference page; this class must implement `IPreferencePage`

  - ### UserOptionsNode

    public UserOptionsNode​(String id, org.eclipse.jface.preference.IPreferencePage preferencePage)
    Creates an `UserOptionsNode` with the given id and preference page. The title of the preference page is used for the node label. The node will not have an image.
    Parameters:
      `id` - the node id
      `preferencePage` - the preference page